### File

`packages/base/src/lib/eui-models/eui-store/state/user.state.ts`

### Extends

`UserDetails`

### Index

###### Properties
Optional firstName Optional fullName Optional lastName Optional preferences Optional rights userId

### Properties

firstName
`firstName: `string``
Type : `string`
Optional

fullName
`fullName: `string``
Type : `string`
Optional

lastName
`lastName: `string``
Type : `string`
Optional

preferences
`preferences: `UserPreferences``
Type : `UserPreferences`
Optional

rights
`rights: `EuiUserRight[]``
Type : `EuiUserRight[]`
Optional

userId
`userId: `string``
Type : `string`

# results matching ""

# No results matching ""